Subject: bug#35875: Guix won't boot after installation with fully encrypted disk

From: Reg <[email-masked]>
Date: Wed, 29 May 2019 22:52:21 +0200

Hi Giovanni,

Here's the content of /mnt/etc/config.scm:

--8<---------------cut here---------------start------------->8---
;; This is an operating system configuration generated
;; by the graphical installer.

(use-modules (gnu))
(use-service-modules desktop networking ssh xorg)

(operating-system
  (locale "en_US.utf8")
  (timezone "Europe/Stockholm")
  (keyboard-layout (keyboard-layout "fr" "mac"))
  (bootloader
    (bootloader-configuration
      (bootloader grub-efi-bootloader)
      (target "/boot/efi")
      (keyboard-layout keyboard-layout)))
  (mapped-devices
    (list (mapped-device
            (source
              (uuid "e613d30e-c46f-4cb3-8bde-409009be5e2e"))
            (target "cryptroot")
            (type luks-device-mapping))))
  (file-systems
    (cons* (file-system
             (mount-point "/boot/efi")
             (device (uuid "2E91-4865" 'fat32))
             (type "vfat"))
           (file-system
             (mount-point "/")
             (device "/dev/mapper/cryptroot")
             (type "ext4")
             (dependencies mapped-devices))
           %base-file-systems))
  (host-name "xiu")
  (users (cons* (user-account
                  (name "reg")
                  (comment "Reg")
                  (group "users")
                  (home-directory "/home/reg")
                  (supplementary-groups
                    '("wheel" "netdev" "audio" "video")))
                %base-user-accounts))
  (packages
    (append
      (list (specification->package "i3-wm")
            (specification->package "nss-certs"))
      %base-packages))
  (services
    (append
      (list (service gnome-desktop-service-type)
            (service openssh-service-type)
            (set-xorg-configuration
              (xorg-configuration
                (keyboard-layout keyboard-layout))))
      %desktop-services)))

--8<---------------cut here---------------end--------------->8---

Thanks for the support,
Reg

Am 2019-05-29 um 18:24 schrieb Giovanni Biscuolo:
> Hello Reg,
>
> Reg <[email-masked]> writes:
>
> [...]
>
>>> Anyway, to check if GPU is the problem here could you please add
>>> "modprobe.blacklist=radeon" [2] (or vga=791 if this does not work [3])
>>> to the "linux" kernel arguments and report back the error messages, if
>>> any?
>> No error message & still the same issue with both these arguments.
> OK so it seems this is not related to your GPU but to disk encryption
>
> I cannot reproduce your very same situation: I'm using a manual
> partition scheme (not the guided one) since I want to presenve a couple
> partitions on my HD
>
> I was able to install and boot Guix on an encrypted BTRFS partition with
> no issues, this is what the installer configured for bootloader,
> mapped-devices and file-systems:
>
> --8<---------------cut here---------------start------------->8---
>   (bootloader
>     (bootloader-configuration
>       (bootloader grub-efi-bootloader)
>       (target "/boot/efi")
>       (keyboard-layout keyboard-layout)))
>   (mapped-devices
>     (list (mapped-device
>             (source
>               (uuid "228371e9-9cd7-4bb5-8976-d65029892b8e"))
>             (target "guix")
>             (type luks-device-mapping))))
>   (file-systems
>     (cons* (file-system
>              (mount-point "/")
>              (device "/dev/mapper/guix")
>              (type "btrfs")
>              (dependencies mapped-devices))
>            (file-system
>              (mount-point "/boot/efi")
>                           (type "vfat"))
>            %base-file-systems))
> --8<---------------cut here---------------end--------------->8---
>
> I first had to insert the LUKS encryption key to let Grub start, then I
> had to enter the same key after Grub booted
>
>>> Did you have hardware-related problems with other free GNU/Linux distros
>>> on this machine before?
>> I've been using Parabola on this computer for several years without
>> problems, but none of my disks were encrypted.
> Please are you able to connect to ssh to your laptop during installation
> (before rebooting) [1] and paste here the content of /mnt/etc/config.scm
> generated by the installer?
>
> Thanks! Gio'.
>
> [1] you can switch to a console with CTRL-ALT-F3, set the root password
> (passwd) and "herd start ssh-daemon"
>